Update Password System

Update Password System
Update the password for a system account

Update the password for a system account

Request
URI
PUT
https://{api_host}/suite-api/api/integrations/services/password-management/{serviceKey}/accounts/password
COPY
Path Parameters
string
serviceKey
Required  

A service key for which the system password account which needs to be updated


Request Body

The password query param

VvfChangePasswordSpec of type(s) application/json
Required  

Show optional properties

{
    "currentPassword": "string",
    "newPassword": "string"
}
"{\n  \"userName\" : \"testUser\",\n  \"currentPassword\" : \"currentPassword\",\n  \"newPassword\" : \"newPassword\"\n}"
string
currentPassword
Required  

current password of the account

string
newPassword
Required  

current password of the account

string
userName
Optional

user name of the account

Authentication
This operation uses the following authentication methods.
Responses
200

The task status response

Returns VvfTaskStatusResponse of type(s) application/json
"{\n  \"id\" : \"8d7c7092-83d7-4f50-a519-03b1636c9cd8\",\n  \"name\" : \"UPDATE_VVF\",\n  \"status\" : \"SUCCEEDED\",\n  \"creationTimestamp\" : 12345356647777757,\n  \"lastUpdatedTimestamp\" : 123453566477746637,\n  \"message\" : \"Password update succeeded\"\n}"
integer As int64 As int64
creationTimestamp
Optional

Task creation timestamp

string
id
Required  

Task Id

integer As int64 As int64
lastUpdatedTimestamp
Optional

Last updated timestamp

string
message
Optional

Message

string
name
Required  

Task name

string
status
Required  

Task status

Enumeration: SUCCEEDED, PENDING, QUEUED, RUNNING, CANCELLED, ERROR, UNKNOWN, FAILED

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"currentPassword":"string","newPassword":"string"}' https://{api_host}/suite-api/api/integrations/services/password-management/{serviceKey}/accounts/password